﻿using Microsoft.UI.Xaml.Media.Animation;

namespace TestProject
{
    /// <summary>
    /// 명칭을 갖는 이징 함수
    /// </summary>
    public class NamedEasingFunction
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name { get; private set; }

        #endregion
        #region 이징 함수 베이스 - EasingFunctionBase

        /// <summary>
        /// 이징 함수 베이스
        /// </summary>
        public EasingFunctionBase EasingFunctionBase { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - NamedEasingFunction(name, easingFunctionBase)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="name">명칭</param>
        /// <param name="easingFunctionBase">이징 함수 베이스</param>
        public NamedEasingFunction(string name, EasingFunctionBase easingFunctionBase)
        {
            Name               = name;
            EasingFunctionBase = easingFunctionBase;
        }

        #endregion
    }
}